*{
	margin: 0;
padding:0;
box-sizing: border-box;

 font-family: 'Lato', sans-serif;
}
body,html
{
	height: 100%;
	width: 100%;
	 
}
main{
	height: 100%;
	width: 100%;
}
.container{
	display: flex;
	height: 100%;
	    overflow: hidden;
}
.leftBox
{
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 10%;
    height: 100%;
	flex: 3;
	background-color: #D9D9D9;
}
.rightBox
{
	display: flex;
	flex-direction: column;
	flex: 7;
	justify-content: center;
	padding-left: 10%;
 position: relative;
	background-color: #E5F4F4;
}
.loginBox {
  display: flex;
  flex-direction: column; /* stack children vertically */
  align-items: center;     /* center horizontally */
 justify-content: center;             /* space between items */
  width: 100%;
  max-width: 475px;
  min-width: 0px;
  height: 100%;
  max-height: 500px;
  margin: auto auto auto  5px;
  padding: 50px;
  background-color: #f5f5f5;
  border-radius: 36px;
  background: linear-gradient(135deg, #41c6ff 0%, #0072ff 100%);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3), 
            0 4px 30px rgba(0, 0, 0, 0.1);

}
.SignupAndLogin {
  display: flex;
  justify-content: flex-end;
  width: 100%;
  font-weight: 500;
  gap: 30px;
}

form {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
}

/* Global input style */
.password {
  display: flex;
  align-items: center;
  position: relative;
  width: 100%;
}

input {
  padding: 15px;
  width: 100%;
  border-radius: 11px;
  border: none;
  background-color: #E5F4F4;
  outline: none;
}

.eyeBackground {
  position: absolute;
  right: 2%;
  top: 20%;
  background-color: white;
  width: 30px;
  height: 30px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.eyeIconCard img {
  width: 20px;
  height: 20px;
  cursor: pointer;
}
button[type="submit"]
{
  border:none;
	background-color: #040273;
	height: 50px;
	border-radius: 10px;
	font-size: 20px;
	color: white;
	transition: all 0.35s ease-in-out;
}
button[type="submit"]:active
{
	transform: scale(0.9);
}
h2
{
	font-size: 32px;
}
.remember
{display: flex;
gap:10px;
}
.remember input{
  width: fit-content;
}
/*switch button for checkbox*/
.switch
{
  position: relative;
  display: inline-block;
  width: 50px;
  height: 26px;
  top:-5px;

}
.switch input{
  opacity: 0;
  width: 0;
  height:0;
  }
.slider
{
  position: absolute;
  cursor: pointer;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background-color:#F5F5F5;
  transition: 0.4s;
  border-radius: 34px;
  box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.2);

}
.slider:before{
content: "";
position: absolute;
height: 20px;
width: 20px;
left: 3px;
top:3px;
background-color: #D3D3D3;
transition: 0.4s;
border-radius: 50%;
}
/*.switch input:checked + .slider{

  background-color:#4CAF50 ;
}*/
.switch input:checked + .slider::before {
  transform: translateX(24px);
  background-color:#4CAF50 ;
}
a
{
	color: inherit; 
	text-decoration: none;
}
a:visited,
a:hover,
a:active,
a:focus {
  color: inherit;            /* Keep same color in all states */
  text-decoration: none;     /* Optional: prevent underline or styling */
}
.loginBox,.registerBox
{

  opacity: 1;
  transition: transform 0.5s,opacity 0.5s  ease-in-out;
  transform: translateX(0);
}
.hiddenBox
{
  position: absolute;
  opacity: 0;
  transform: translateX(120%);
  pointer-events: none;
}
.logo img 
{
  margin:auto;
}
.toast{
 visibility: hidden;
  opacity: 0;
  min-width: 250px;
  background-color: gray;
  color: white;
  text-align: center;
  border-radius: 8px;
  padding: 12px;
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%) translateY(-100%); /* Hide above screen */
  z-index: 999;
  transition: transform 2s ease, opacity 0.4s ease;
}
@keyframes dropDownUp {
  0% {
    transform: translateX(-50%) translateY(-100%);
    opacity: 0;
  }
  10% {
    transform: translateX(-50%) translateY(20%);
    opacity: 1;
  }
  80% {
    transform: translateX(-50%) translateY(80%);
    opacity: 1;
  }

  100% {
    transform: translateX(-50%) translateY(-100%);
    opacity: 0;
  }
}
.toast.fail.show
{
   background-color: red;
     animation: dropDownUp 2s  ease-in-out;
  visibility: visible;
}
.toast.success.show{
  background-color: green;
    animation: dropDownUp 2s  ease-in-out;
  visibility: visible;
}
/*For Capacitor App
 appLogin.css
*/
.appContainer
{
  display: flex;
  flex-direction: column;

  height: 100%;
}
.leftBox.appLeftBox
{
  display: flex;
  align-items: flex-start;
   padding:5% 5% 5% 5%;
flex: 1;
}
.rightBox.appRightBox
{
  display: flex;
  justify-content: center;
  align-items: center;

 padding-left: 0;
}
.appRightBox .loginBox
{
  transform: translateX(0);
  margin: 0;
}

@media (max-width: 500px) {
  .leftBox.appLeftBox
  {
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
  .appRightBox .loginBox
  {
    max-width: 350px;
    max-height: 400px;
  }
  }

@media (max-width: 350px) {
  .appRightBox .loginBox
  {
    max-width: 300px;
   
  }
  }

